#
# spec file for package ciano
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ciano
Version:        0.2.4
Release:        1.30
Summary:        A multimedia file converter
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            https://robertsanseries.github.io/ciano
Source:         https://github.com/robertsanseries/ciano/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gettext-runtime >= 0.19.7
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       ImageMagick
Requires:       ffmpeg
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
A program to convert your multimedia files to contemporary formats.

%lang_package

%prep
%setup -q

sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')

%build
%meson
%meson_build

%install
%meson_install
%suse_update_desktop_file -r com.github.robertsanseries.ciano GTK AudioVideo Video AudioVideoEditing
%find_lang com.github.robertsanseries.ciano %{name}.lang
%fdupes %{buildroot}/%{_datadir}

# dirlist HiDPI icons (see: hicolor/index.theme)
touch $PWD/dir.lst
_dirlist=$PWD/dir.lst
pushd %{buildroot}
find ./ | while read _list; do
    echo $_list | grep '[0-9]\@[0-9]' || continue
    _path=$(echo $_list | sed 's/[^/]//')
    if ! ls ${_path%/*}; then
        grep -xqs "\%dir\ ${_path%/*}" $_dirlist || echo "%dir ${_path%/*}" >> $_dirlist
    fi
done
popd

%files -f dir.lst
%doc AUTHORS LICENSE* README.md
%{_bindir}/com.github.robertsanseries.ciano
%dir %{_datadir}/appdata
%{_datadir}/appdata/com.github.robertsanseries.ciano.appdata.xml
%{_datadir}/applications/com.github.robertsanseries.ciano.desktop
%{_datadir}/glib-2.0/schemas/com.github.robertsanseries.ciano.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.robertsanseries.ciano.??g
%{_datadir}/pixmaps/com.github.robertsanseries.ciano.??g
%{_datadir}/ciano/

%files lang -f %{name}.lang

%changelog
* Thu Jul 16 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 0.2.4:
  * Merge branch 'master' of github.com:robertsanseries/ciano
  * Minor fixes and changes
  * update file gitignore
  * Merge pull request #105 from NathanBnm/patch-5
  * Fix README app icon
  * Merge pull request #102 from NathanBnm/master
  * Make post_install.py scrip executable
  * Merge pull request #100 from NathanBnm/improvements
  * Improvements
  * Merge pull request #99 from NathanBnm/fix-typo
  * Merge pull request #98 from NathanBnm/update-fr
  * Fix typo
  * Merge pull request #96 from NathanBnm/patch-4
  * Add missing OARS metadata making build fail
  * Merge pull request #93 from NathanBnm/patch-3
  * Update .travis.yml
  * Merge pull request #83 from meisenzahl/master
  * Merge pull request #89 from safak45x/patch-1
  * Merge branch 'master' into patch-1
  * Merge pull request #78 from libreajans/Turkish
  * Merge branch 'master' into Turkish
  * Merge pull request #72 from NathanBnm/patch-1
  * commit partial
  * Update LINGUAS
  * updated .gitignore to ignore *~
  * Downgrade Node.js to fix builds on Travis CI
  * Merge pull request #76 from nedrichards/patch-1
  * Add OARS tag
  * Merge pull request #1 from NathanBnm/patch-2
  * Added fr
* Mon Nov  5 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 0.2.1:
  * Fix accels deprecation
  * Fix margin deprecations
  * Merge pull request #66 from drom98/master
  * Update issue templates
  * update readme
  * remoção do arquivo com.github.robertsanseries.ciano.json
  * Update com.github.robertsanseries.ciano.desktop.in
  * Update .desktop comment to be consistent with HIG
  * moving the settings class to the services package
* Sat Jan  6 2018 avvissu@yandex.by
- Update to 0.1.9:
  * Update README.md
  * Creating Flatpak
  * Update Manifest Flatpak
  * Manifest Flatpak
  * Fixes for version 0.1.7
  * Correcting the tag in the appdata.xml file
  * Update com.github.robertsanseries.ciano.appdata.xml.in
  * Update LINGUAS
  * Create zh_CN.po
  * Update lt.po
  * Made the icon follow the HIG colors and geometry
* Tue Dec 19 2017 jengelh@inai.de
- Trim bias from description.
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
